Package com.collabnet.ce.soap60.webservices.docman

# Class DocumentFolderSoapDOMarshaler

java.lang.Object
com.collabnet.ce.soap60.marshaling.AbstractStatelessSoapMarshaler
com.collabnet.ce.soap60.webservices.cemain.ObjectSoapDOMarshaler
com.collabnet.ce.soap60.webservices.cemain.FolderSoapDOMarshaler
com.collabnet.ce.soap60.webservices.docman.DocumentFolderSoapDOMarshaler

All Implemented Interfaces:
  `SoapMarshaler`

public class DocumentFolderSoapDOMarshaler extends FolderSoapDOMarshaler
Marshaler class for TaskGroupSoapDO.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static SoapMarshaler`
  `getInstance()`
  Returns the singleton class instance.
  `protected void`
  `protectedSoapToRmi(Object soapObject, Object rmiObject)`
  Marshals data from a soap object to a given rmi object.
  `Object`
  `rmiToSoap(Object rmiObject)`
  Unmarshals an object used by RMI APIs to a SOAP object
  `Object`
  `soapToRmi(Object soapObject)`
  Converts a SOAP object to an object type required by RMI APIs.

  ### Methods inherited from class com.collabnet.ce.soap60.webservices.cemain.FolderSoapDOMarshaler

  `protectedRmiToSoap`

  ### Methods inherited from class com.collabnet.ce.soap60.webservices.cemain.ObjectSoapDOMarshaler

  `getCoreService`

  ### Methods inherited from class com.collabnet.ce.soap60.marshaling.AbstractStatelessSoapMarshaler

  `isStateless`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### getInstance

    public static SoapMarshaler getInstance()
    Returns the singleton class instance.
    Returns:
      Singleton class instance.

  - ### soapToRmi

    public Object soapToRmi(Object soapObject) throws SoapMarshalingException
    Description copied from interface: `SoapMarshaler`
    Converts a SOAP object to an object type required by RMI APIs.
    Parameters:
      `soapObject` - SOAP object to marshal.
    Returns:
      Object required by RMI APIs.
    Throws:
      `SoapMarshalingException` - when an error is encountered during marshaling.
    See Also:
      - `SoapMarshaler.soapToRmi(java.lang.Object)`

  - ### protectedSoapToRmi

    protected void protectedSoapToRmi(Object soapObject, Object rmiObject) throws SoapMarshalingException
    Description copied from class: `ObjectSoapDOMarshaler`
    Marshals data from a soap object to a given rmi object. This protected method is primarily used by marshaler classes to marshal members from a super-class marshaler.
    Overrides:
      `protectedSoapToRmi` in class `FolderSoapDOMarshaler`
    Parameters:
      `soapObject` - SOAP object.
      `rmiObject` - RMI object.
    Throws:
      `SoapMarshalingException` - when an error is encountered during marshaling.
    See Also:
      - `SoapMarshaler.soapToRmi(java.lang.Object)`

  - ### rmiToSoap

    public Object rmiToSoap(Object rmiObject) throws SoapMarshalingException
    Description copied from interface: `SoapMarshaler`
    Unmarshals an object used by RMI APIs to a SOAP object
    Parameters:
      `rmiObject` - Object used by RMI apis.
    Returns:
      Unmarshaled SOAP object.
    Throws:
      `SoapMarshalingException` - when an error is encountered during unmarshaling.
    See Also:
      - `SoapMarshaler.rmiToSoap(java.lang.Object)`